﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Media;

namespace DragImage
{
    public partial class DraggableImage : UserControl
    {
        public static readonly DependencyProperty SourceProperty =
            DependencyProperty.Register("Source",
                typeof(ImageSource),
                typeof(DraggableImage),
                new PropertyMetadata(null));

        public DraggableImage()
        {
            InitializeComponent();
        }

        public ImageSource Source
        {
            set { SetValue(SourceProperty, value); }
            get { return (ImageSource)GetValue(SourceProperty); }
        }

        void OnThumbDragDelta(object sender, DragDeltaEventArgs args)
        {
            translate.X += args.HorizontalChange;
            translate.Y += args.VerticalChange;
        }
    }
}
